Help please!

Discussion in 'iPod touch' started by ShAdY_rEcOrDsS, Mar 10, 2010.

  1. ShAdY_rEcOrDsS

    ShAdY_rEcOrDsS New Member

    Joined:
    Feb 9, 2009
    Messages:
    178
    Likes Received:
    0
    Device:
    3G iPod touch
    Hey, Long time no see!
    I'll go straight to the point...
    My friend lend me his iPod touch 3g 8gig so I could jailbreak it...
    It was running firmware 3.1.2, I jbed it with blackra1n and ... couldn't install cydia nor rockapp.. it didn't load them..
    so I thought of uninstalling the blackra1n app and re-jaibreaking, and it didn't work... so I thought of restore... so I went into DFU mode and tried to restore into the 3.1.2 fw again.. and It said it wasn't compatible ... so I tried with my 3.0 2g fw... It worked but in the end it showed me an error... now I can't restore it... help please

    Please Register or Log in to view images

  2. Coca Cola

    Coca Cola Member

    Joined:
    Dec 12, 2009
    Messages:
    801
    Likes Received:
    19
    Device:
    iPhone 4S (Black)
    Download the 2G 3.1.2 firmware.
  3. ShAdY_rEcOrDsS

    ShAdY_rEcOrDsS New Member

    Joined:
    Feb 9, 2009
    Messages:
    178
    Likes Received:
    0
    Device:
    3G iPod touch
    DAMMIT, I'm downloading the 3G fw... again... lol thanks btw

    Please Register or Log in to view images

Share This Page